Skip to navigation

List ModelDeploymentConfigs By Workspace

View as Markdown
List ModelDeploymentConfigs for a specific workspace. Returns only the latest version of each config.

Path parameters

workspacestringRequired

Query parameters

sortstringOptionalDefaults to created_at

The field to sort by. To sort in decreasing order, use - in front of the field name.

pageintegerOptional>=1Defaults to 1
Page number.
page_sizeintegerOptional1-1000Defaults to 100
Page size.
filterobjectOptional

Filter deployment configs by workspace, project, model_entity_id, name, description, created_at, and updated_at.

Response

Return model deployment configurations for a workspace
datalist of objects
paginationobjectOptional
Pagination information.
sortstringOptional
The field on which the results are sorted.
filtermap from strings to anyOptional
Filtering information.

Errors

422
Unprocessable Entity Error